const fs = require('fs')
/** @typedef {import('@vue/cli/lib/GeneratorAPI')} GeneratorAPI */

/**
 * @param {GeneratorAPI} api
 * @param {any} options
 */
module.exports = (api, options) => {
  api.extendPackage({
    dependencies: {
      'vuex-module-configuration-composer': '^1.0.0',
      'vuex-persistedstate': '^2.5.2'
    }
  })

  api.render('./template')

  api.onCreateComplete(() => {
    const storePath = api.resolve('./src/store.js')
    if (fs.existsSync(storePath)) {
      fs.unlinkSync(storePath)
    }
  })
}
